#include<bits/stdc++.h>
using namespace std;
int a[2000001];
int main(){

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin >> n;
    for(int i = 0; i < n; i++){
        cin >> a[i];
    }
    int ans = 0;
    bool ok = true;
    for(int i = 0; i < n; i++){
        for(int j = i + 1; j < n; j++){
            ok = true;
            for(int k = i; k <= j; k++){
                if(k == i || k == j)continue;
                if(a[k] > a[i] && a[k] > a[j]){
                    ok = false;
                    break;
                }
            }
            if(ok){
                ans ++;
                //cout << i << " " << j << endl;
            }
        }
    }
    cout << ans << endl;

    return 0;
}
